@font-face {
  font-family: 'Roboto';
  src: url('../Assets/Font/Roboto_Medium.ttf') format('truetype');

  font-weight: 400;
  font-style: normal;
}




* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --primary-bg-color: #05010a;
  --header-bg-color: #5459A7;
  --text-color-light: white;
  --link-hover-bg: #ddd;
  --link-hover-text: black;
  --base-padding: 12px;
  --accent-color: #D5DF24;
  --color-Blue: #7e86ec;
  --text-Size-BIG: 48px;
  --font-Size-Header: 42px;
  --font-Size-Text: 24px;
  --font-Size-Text-Small: 18px;
  --font-Family-Main: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";

}

body {
  background-color: rgb(0, 0, 0);
  font-family: var(--font-Family-Main);

}


body,
html {

  width: 100%;
  overflow-x: visible;
}

.header-center {
  margin-left: 50px;
}


.header-center a {
  display: inline-block;
  color: white;
  text-decoration: none;
  margin: 0 15px;
  padding: 25px 20px;
  padding-top: 50px;
  font-size: var(--font-Size-Header);
  line-height: 50px;
  border-radius: 4px;
  text-shadow: 1px 1px 3px rgba(var(--accent-color), 0.6);
  transition: color 0.3s, background-color 0.3s, border-color 0.3s;
  border-bottom: 3px solid transparent;
}

.header-center a:hover {
  color: var(--link-hover-text, rgb(204, 165, 37));
  background-color: var(--link-hover-bg, #ddd);

}

.header-center a.active {
  color: var(--accent-color, #D5DF24);
  border-bottom: 3px solid var(--accent-color, #D5DF24);
  padding-bottom: 2px;
  background-color: transparent;
}

.header-left {
  display: flex;
  align-items: center;
  padding: 20px 40px;
  position: relative;
  z-index: 1;
  width: 100%;
  box-sizing: border-box;
  margin-top: -2%;
}

.header-left a.logo {
  display: inline-block;
  width: 450px;
  height: 225px;
  background-image: url('../Assets/logo Transparent.png');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  overflow: hidden;
  flex-shrink: 0;
}


/*

-----------------------------Sidebar--------------------------------
*/

#accessibility-toggle-btn {
  position: relative;
  left: 35%;
  background: none;
  border: none;
  padding: 0;
}

#accessibility-toggle-btn img {
  display: block;
  width: 100px;
  height: 100px;

}

/*  Der Accessibility Button bereitet sich für die Barrierefreiheitsoptionen */
.Accessbility-button {
  width: 150px;
  height: 150px;
  padding: 5px;
  margin: 5px;
  box-sizing: border-box;
  border-radius: 20px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  border: 1px solid #ccc;
  background-color: #f0f0f0;
  cursor: pointer;
  overflow: hidden;
}

.Accessbility-button img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}





#accessibility-button {
  width: 50px;
  height: 50px;
  object-fit: contain;
  border-radius: 50%;
  display: block;
}

#fixed-right-sidebar {
  position: fixed;
  top: 100px;
  right: 1%;
  width: 400px;
  padding: 15px;
  z-index: 10;
  border-radius: 40px;
}

.Accessbility-content {
  background-color: var(--color-Blue);
  padding: 15px;
  border-radius: 8px;
  margin-top: 10px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.15);
  display: none;
}

#fixed-right-sidebar p {
  margin-top: 0;
  font-size: var(--font-Size-Text-Small);
  font-weight: bold;
  color: var(--accent-color);
}

#fixed-right-sidebar ul {
  list-style: none;
  padding: 0;
  margin: 10px 0 0 0;
}

#fixed-right-sidebar ul li {
  margin-bottom: 8px;
}

#fixed-right-sidebar ul li a {
  text-decoration: none;
  color: #007bff;
}

#fixed-right-sidebar ul li a:hover {
  text-decoration: underline;
}


/*
  ----------------------------start main------------------------------
  */

.Main-Section {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
}

.hero-section {
  position: relative;
  height: 100vh;
  overflow: hidden;
  color: white;
}

.Main-Section video#Welcome-Video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: -1;
}

.text-overlay {
  position: absolute;
  top: 50%;
  left: 15%;
  transform: translate(-50%, -50%);
  z-index: 10;
  text-align: center;
  color: white;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}

.text-overlay .welcome-name {
  font-size: 60px;
  margin-bottom: 0.2em;
  font-weight: bold;
  color: var(--accent-color);
}

.text-overlay .welcome-subtitle {
  font-size: 42px;
  font-weight: normal;

}

#Welcome-Video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 1;

}

.shape-rectangle {
  position: absolute;
  top: 39%;
  width: 35%;
  height: 200px;
  background-color: var(--color-Blue);
  border: 1px solid rgba(255, 255, 255, 0.3);
  border-radius: 8px;
  z-index: 5;
  display: flex;
  justify-content: center;
  align-items: center;
}

.shape-circle {
  position: relative;
  left: 50%;
  width: 200px;
  height: 200px;
  border-radius: 50%;
  overflow: hidden;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
}

.shape-circle img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.text-main {
  position: relative;
  width: 65%;
  color: white;
  text-align: left;
  left: 10%;
  font-size: 24px;
}


/*
----------------------------end main-----------------------------------
----------------------------Start Project------------------------------
*/

.flipbook-viewport {
  width: 90vw;
  max-width: 800px;
  height: 60vh;
  max-height: 650px;
  margin: auto;
  perspective: 2000px;
  margin-top: 20%;
}

.flipbook-container {
  width: 100%;
  height: 100%;
  position: relative;
}

.flipbook {
  width: 100%;
  height: 100%;
  position: absolute;
  transform-style: preserve-3d;
  /* Enable 3D transforms for children */
  transition: transform 0.5s;
  transform: scale(1.5);
}

.page {
  width: 50%;
  height: 100%;
  position: absolute;
  top: 0;
  right: 0;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  transform-origin: left center;
  transform-style: preserve-3d;
  transition: transform 1s ease-in-out;
}

.page-front,
.page-back {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: #ffffff;
  padding: 20px;
  box-sizing: border-box;
  overflow: hidden;
  backface-visibility: hidden;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  text-align: center;
}

.page-front h2,
.page-back h2 {
  font-size: var(--font-Size-Text);
  color: black;
  width: 100%;
  box-sizing: border-box;
  z-index: 2;
}

.page-back:not(.cover)::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 25%;
  height: 20%;
  background-color: transparent;
  border-top: 5px solid var(--accent-color);
  border-right: 5px solid var(--accent-color);
  border-top-right-radius: 100%;
  box-sizing: border-box;
  z-index: 0;
}

.page-front:not(.cover)::before {
  content: '';
  position: absolute;
  bottom: 0;
  right: 0;
  width: 25%;
  height: 20%;
  background-color: transparent;
  border-top: 5px solid var(--color-Blue);
  border-left: 5px solid var(--color-Blue);
  border-top-left-radius: 100%;
  box-sizing: border-box;
  z-index: 0;
}

.page-front:not(.cover)::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 10%;
  background-color: rgba(36, 139, 223, 0.3);
  clip-path: polygon(0% 0%,
      100% 0%,
      97% 100%,
      3% 100%);
  z-index: 0;
}

.page-back:not(.cover)::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 10%;
  background-color: rgba(213, 223, 36, 0.3);
  clip-path: polygon(0% 0%,
      100% 0%,
      97% 100%,
      3% 100%);
  z-index: 0;

}

.page-back {
  transform: rotateY(180deg);
  background-color: #fdfdfd;
}

.page .cover {
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.page .cover img {
  max-width: 100%;
  max-height: 100%;
  object-fit: cover;
}

.page.flipped {
  transform: rotateY(-180deg);
}

.page .cover img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.page-image {
  max-width: 80%;
  max-height: 50%;
  margin-top: 15px;
  border: 1px solid #eee;
}

.flipbook-nav {
  margin-top: 20px;
  width: 150%;
  display: flex;
  justify-content: space-between;
  padding: 0px 0px 0px 0px;
  box-sizing: border-box;
  position: relative;
  right: 25%;
  bottom: 10%;
  pointer-events: none;
}

.page-back ol li {
  text-align: left;
}

.page h2:has(p.page-oddNumber),
.page h2:has(p.page-evenNumber) {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
  align-self: stretch;
  width: 100%;
  box-sizing: border-box;
  margin-top: 0;
  margin-bottom: 20px;
  padding-top: 5px;
  padding-bottom: 5px;
  padding-left: 0;
  padding-right: 0;
  color: #1d1d1d;
  background-color: transparent;
  border: none;
  border-radius: 0;
  margin-left: 0;
  margin-right: 0;
  z-index: 10;
}

.page h2 p.page-oddNumber,
.page h2 p.page-evenNumber {
  font-size: 12px;
  color: #666;
  font-weight: normal;
  margin-left: 10px;
  flex-shrink: 0;
  line-height: 1;
  padding: 0;
  margin-top: 0;
  margin-bottom: 0;
  z-index: 10;

}

.page-front>p,
.page-back>p {
  text-align: left;
  width: 100%;
}

#prev-page-btn {
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
  line-height: 0;
}

#prev-page-btn img {
  display: block;
  width: 100px;
  height: 100px;
  object-fit: contain;
}

#prev-page-btn:hover img {
  opacity: 0.7;
  color: var(--accent-color);
}

#next-page-btn {
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
  line-height: 0;
}

#next-page-btn img {
  display: block;
  width: 100px;
  height: 100px;
  object-fit: contain;
}

#next-page-btn:hover img {
  opacity: 0.7;
  color: var(--accent-color);
}

.flipbook-nav button {
  position: relative;
  margin-top: 5%;
  font-size: 1em;
  cursor: pointer;
  border: none;
  border-radius: 5px;
  transition: background-color 0.3s;
  z-index: 100;
  pointer-events: auto;
}

.page-front>audio {
  margin-top: auto;
  width: 400px;
  max-width: 400px;
  margin-left: auto;
  margin-right: auto;
  display: block;
  padding-top: 15px;
  z-index: 50;
  padding-right: 150px;
}

.page-back>audio {
  position: relative;
  margin-top: auto;
  width: 400px;
  max-width: 400px;
  margin-left: auto;
  margin-right: auto;
  display: block;
  padding-top: 15px;
  z-index: 50;
  right: 20%;
  padding-left: 150px;
}

.page-front>*:not(audio),
.page-back>*:not(audio) {
  margin-bottom: 15px;
}

.page-front>*:last-child:not(audio),
.page-back>*:last-child:not(audio) {
  margin-bottom: 0;
}

.page-image {
  max-height: 40%;
  object-fit: contain;
  margin-bottom: 15px;
}


/*

---------------------End of Project---------------------------
---------------------Start of Contact------------------------

*/

.contact-Section h1 {
  color: white;
  text-align: center;
  margin-top: 10%;
}

.contact-Section label {
  color: white;
}

.contact-Section h1 {
  color: white;
  text-align: center;
  margin-bottom: 20px;
}

.contact-Section label {
  position: relative;
  color: white;
  display: block;
  margin-bottom: 5px;
  font-size: var(--font-Size-Text-Small);
  text-align: left;
  left: 37%;
}

.contact-Section input[type="text"],
.contact-Section input[type="email"],
.contact-Section textarea {
  display: block;
  width: 90%;
  max-width: 500px;
  margin: 0 auto 15px auto;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  background-color: #f9f9f9;
  color: #333;
  font-size: var(--font-Size-Text-Small);
}

textarea {
  height: 300px;
  overflow-y: auto;
}

#submit {
  position: relative;
  width: 50px;
  height: 50px;
  left: 37%;
  border: 1px solid #ccc;
  border-radius: 8px;
}

#submit :hover {
  color: var(--accent-color);
  left: 45;
}

#email {
  position: relative;
  overflow: hidden;
  transition: border-color 0.3s ease;
}

#email::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 0, 0, 0.4);
  filter: blur(4px);
  transform: translateX(-100%);
  opacity: 0;
  pointer-events: none;
  animation: none;
}



#email.input-error-sweep::before {
  animation: sweep-error-animation 0.6s ease-in-out 1;
}



@keyframes sweep-error-animation {
  0% {
    transform: translateX(-100%);
    opacity: 0.6;
  }

  50% {
    transform: translateX(0%);
    opacity: 1;
  }

  100% {
    transform: translateX(100%);
    opacity: 0;
  }
}



.input-error-border {
  border-color: red !important;
}

.contact-container {
  position: relative;
  width: 600px;
  height: 300px;
  background-color: var(--color-Blue);
  border: 1px solid rgba(255, 255, 255, 0.3);
  /* Optional: Heller Rand */
  border-radius: 8px;
  left: 35%;
  top: 20%;
  margin-top: 400px;
  margin-bottom: 200px;
}

.contact-container h1 {
  font-size: var(--font-Size-Header);
  color: var(--accent-color);
  text-align: center;
  margin-top: 5%;
}

.contact-container p {
  font-size: var(--font-Size-Text);
  color: white;
  text-align: center;
  text-shadow: #333 1px 1px 2px;
  margin-left: 5%;
}

.Footer-box {
  position: relative;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 50px;
  background-color: var(--color-Blue);
  color: white;
  text-align: center;
  padding-top: 10px;
}


/* --- Footer --- */

.Footer-box {
  font-size: 0.8em;
  padding: 5px 0;
  min-height: 40px;
}

.Footer-box a {
  color: var(--accent-color);
  font-size: 18;
  text-decoration: none;
}